Create Promo Code

Create a new Promo Code


Authorization Scope

Only the merchant secret key is authorized to call this endpoint.

Path Params
string
required

The ID of the merchant. You will receive this constant value during onboarding.

Body Params
string
required

The code that user's will enter to redeem the code. Case insensitive, stored in uppercase.

int32
required

The credit amount that the user receives when this promo code is redeemed. The integer amount is in the lowest denomination of the merchant currency code.

boolean
Defaults to true

A simple flag to determine if the code is still active.

date-time

The timestamp (in RFC 3339 format) when the promo code will start. A promo code is not redeemable before the startDate. Defaults to the time the promo code is created.

date-time

The timestamp (in RFC 3339 format) when the promo code will end. A promo code is not redeemable after the endDate.

expirationMetadata
object

{"expirationType": "x_days_after_redeeming", "numDays": 10}

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json